Golaem 7.3.11 (2021/06/04)

Important Notice

From this release, the version of MtoA supported by default is 4.2 Rendering plugin for MtoA 4.0.X or 4.1.X needs to be installed manually

From this release, the version of Vray supported by default is 5.X Rendering plugin for Vray 4.X needs to be installed manually

See Using Renderer Compatibility Procedurals for more details

New Features

  • Added support for Maya 2022 Python 3 (beta)
  • Added support for Maya 2022 Python 2

Improvements

  • Added per mesh subdivision control at render time (through the Shader Attribute subdivOverride)
  • Added source object orientation support in Component Mode Population Tool
  • Added aiImage and PxrTex shading node support in the viewport display
  • Improved Simulation cache export and replay performances
  • Improved skin weights memory management
  • Improved curve following / looping in the Goto Behavior
  • Improved curve following / looping in the Steer Behavior
  • Particle systems are now emitted in the same group as their Population Tool Locator

Bug fixes

  • Fixed a massive memory leak (from Golaem 7.3.7) when in Cache Replay Mode and refreshing caches
  • Fixed a crash when LOD geometries have different numbers of Shader Nodes
  • Fixed a crash when merging two caches with Layout Files
  • Fixed a crash when an invalid input is cast to a Golaem Attribute
  • Fixed sequencer integration within Unreal Engine 4.26
  • Fixed Entity flickering when using the Traffic Behavior
  • Fixed broken connection between particle system and Population Tool Locator when renamed
  • Fixed oversized Replace Node popup in the Character Maker
  • Fixed Attribute Editor for Painted Zone Locator
  • Fixed Attribute Editor for Vector Field Locator

Refactoring

  • Mtoa 4.2 is the default supported version
  • Vray 5 is the default supported version

API

  • Added forwards flag in the glmCreatePopulationTool command

Supported DCCs

  • Autodesk Maya 2017, 2018, 2019, 2020, 2022 (beta)
  • Autodesk 3ds Max 2018, 2019, 2020
  • Foundry Katana 3.X, 4.X
  • Unreal Engine 4.25, 4.26
  • SideFx Houdini 18.0.566, 18.5.462

Supported Rendering Engines

  • Arnold - Mtoa 4.2.X / KtoA 3.2.X
  • V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
  • Renderman - For Maya 23.0 / For Katana 23.0
  • Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
  • USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
  • 3Delight - For Katana 2.3.2 (through USD)
  • Mental Ray - For Maya 3.14
  • Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

  • Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
  • V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
  • Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
  • Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55